function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("r_hall")
    
    std.create_center(5, "e")
    std.create_tube(3, "x", "e")
 
    local msg_str = "When you touch a blue ring device, you are teleported. "
        .. "When the program figures out where to teleport you, "
        .. "it needs to know whether a chunk is of type \"blue up\", "
        .. "\"blue down\", or \"blue terminal\". \n\n"
        .. "For this purpose, you can call the following functions from "
        .. "the main function: "
        .. "^x00ff00set_blue_type_up^!, ^x00ff00set_blue_type_down^!, "
        .. "and ^x00ff00set_blue_type_terminal^!. "
        .. "Read the manual about these "
        .. "if you want to add your own blue ring devices. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
